import 'package:wialon/sdk.dart';
import 'package:wialon/exceptions.dart';

void main() async {
  WialonSdk sdk = WialonSdk(
    isDevelopment: false,
    // isDevelopment: true,
    sessionId: '',
    scheme: 'https',
    host: 'hst-api.wialon.com',
    port: 0,
    extraParams: {}
  );
  try {
    String token = '';
    Map<String, dynamic> login_result = await sdk.login(token: token);

    /// replace with values of the same type
    Map<String, dynamic> parameters = {
      'spec':{
        'itemsType': String,
        'propName': String,
        'propValueMask': String,
        'sortType': String,
        'propType': String,
        'or_logic':bool
      },
      'force': int,
      'flags': int,
      'from': int,
      'to': int
    };

    Map<String, dynamic> units = await sdk.call(method: 'core/search_items', parameters: parameters);
    // print(units);

    String reverseGeo = await sdk.reverseGeocoding(latitude: 0, longitude: 0);
    // print(reverseGeo);

  } on SdkException catch (e) {
    // Sdk processing error
    print(e);
  } on WialonError catch (e) {
    // Wialon error
    print(e);
  } catch (e) {
    // Dart error
    print(e);
  }

  await sdk.logout();
}
